diff --git a/rpm/redhat/9.0/postgresql/EL-5/postgresql-9.0.spec b/rpm/redhat/9.0/postgresql/EL-5/postgresql-9.0.spec
index 2c5ea0b..9251cde 100644
--- a/rpm/redhat/9.0/postgresql/EL-5/postgresql-9.0.spec
+++ b/rpm/redhat/9.0/postgresql/EL-5/postgresql-9.0.spec
@@ -70,7 +70,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.0.19
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	BSD
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -514,9 +514,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.0
@@ -836,6 +833,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.0.19-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GUNDUZ <devrim@gunduz.org> 9.0.19-1PGDG
 - Update to 9.0.19, per changes described at:
   http://www.postgresql.org/docs/9.0/static/release-9-0-19.html
diff --git a/rpm/redhat/9.0/postgresql/EL-6/postgresql-9.0.spec b/rpm/redhat/9.0/postgresql/EL-6/postgresql-9.0.spec
index 3b30d90..5d775fa 100644
--- a/rpm/redhat/9.0/postgresql/EL-6/postgresql-9.0.spec
+++ b/rpm/redhat/9.0/postgresql/EL-6/postgresql-9.0.spec
@@ -70,7 +70,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.0.19
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	BSD
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -514,9 +514,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.0
@@ -836,6 +833,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.0.19-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GUNDUZ <devrim@gunduz.org> 9.0.19-1PGDG
 - Update to 9.0.19, per changes described at:
   http://www.postgresql.org/docs/9.0/static/release-9-0-19.html
diff --git a/rpm/redhat/9.1/postgresql/EL-5/postgresql-9.1.spec b/rpm/redhat/9.1/postgresql/EL-5/postgresql-9.1.spec
index 15b2797..7d8bcf5 100644
--- a/rpm/redhat/9.1/postgresql/EL-5/postgresql-9.1.spec
+++ b/rpm/redhat/9.1/postgresql/EL-5/postgresql-9.1.spec
@@ -70,7 +70,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.1.15
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -518,9 +518,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.1
@@ -903,6 +900,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.1.15-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim Gündüz <devrim@gunduz.org> - 9.1.15-1PGDG
 - Update to 9.1.15, per changes described at:
   http://www.postgresql.org/docs/9.1/static/release-9-1-15.html
diff --git a/rpm/redhat/9.1/postgresql/EL-6/postgresql-9.1.spec b/rpm/redhat/9.1/postgresql/EL-6/postgresql-9.1.spec
index 1343b90..6317fce 100644
--- a/rpm/redhat/9.1/postgresql/EL-6/postgresql-9.1.spec
+++ b/rpm/redhat/9.1/postgresql/EL-6/postgresql-9.1.spec
@@ -70,7 +70,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.1.15
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -523,9 +523,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.1
@@ -908,6 +905,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.1.15-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim Gündüz <devrim@gunduz.org> - 9.1.15-1PGDG
 - Update to 9.1.15, per changes described at:
   http://www.postgresql.org/docs/9.1/static/release-9-1-15.html
diff --git a/rpm/redhat/9.2/postgresql/EL-5/postgresql-9.2.spec b/rpm/redhat/9.2/postgresql/EL-5/postgresql-9.2.spec
index eeed425..26a078b 100644
--- a/rpm/redhat/9.2/postgresql/EL-5/postgresql-9.2.spec
+++ b/rpm/redhat/9.2/postgresql/EL-5/postgresql-9.2.spec
@@ -70,7 +70,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.2.10
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -518,9 +518,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.2
@@ -918,6 +915,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.2.10-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim Gündüz <devrim@gunduz.org> - 9.2.10-1PGDG
 - Update to 9.2.10, per changes described at:
   http://www.postgresql.org/docs/9.2/static/release-9-2-10.html
diff --git a/rpm/redhat/9.2/postgresql/EL-6/postgresql-9.2.spec b/rpm/redhat/9.2/postgresql/EL-6/postgresql-9.2.spec
index db16d36..4c1340b 100644
--- a/rpm/redhat/9.2/postgresql/EL-6/postgresql-9.2.spec
+++ b/rpm/redhat/9.2/postgresql/EL-6/postgresql-9.2.spec
@@ -70,7 +70,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.2.10
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -523,9 +523,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.2
@@ -923,6 +920,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.2.10-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim Gündüz <devrim@gunduz.org> - 9.2.10-1PGDG
 - Update to 9.2.10, per changes described at:
   http://www.postgresql.org/docs/9.2/static/release-9-2-10.html
diff --git a/rpm/redhat/9.2/postgresql/EL-7/postgresql-9.2.spec b/rpm/redhat/9.2/postgresql/EL-7/postgresql-9.2.spec
index e0e4fa5..9ce3ae4 100644
--- a/rpm/redhat/9.2/postgresql/EL-7/postgresql-9.2.spec
+++ b/rpm/redhat/9.2/postgresql/EL-7/postgresql-9.2.spec
@@ -71,7 +71,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.2.10
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -568,9 +568,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -978,6 +975,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.2.10-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim Gündüz <devrim@gunduz.org> - 9.2.10-1PGDG
 - Update to 9.2.10, per changes described at:
   http://www.postgresql.org/docs/9.2/static/release-9-2-10.html
diff --git a/rpm/redhat/9.3/postgresql/EL-5/postgresql-9.3.spec b/rpm/redhat/9.3/postgresql/EL-5/postgresql-9.3.spec
index 04030ab..a13b177 100644
--- a/rpm/redhat/9.3/postgresql/EL-5/postgresql-9.3.spec
+++ b/rpm/redhat/9.3/postgresql/EL-5/postgresql-9.3.spec
@@ -71,7 +71,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.3.6
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -519,9 +519,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.3
@@ -928,6 +925,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.3.6-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-1PGDG
 - Update to 9.3.6, per changes described at:
   http://www.postgresql.org/docs/9.3/static/release-9-3-6.html
diff --git a/rpm/redhat/9.3/postgresql/EL-6/postgresql-9.3.spec b/rpm/redhat/9.3/postgresql/EL-6/postgresql-9.3.spec
index f4333aa..98ff2e5 100644
--- a/rpm/redhat/9.3/postgresql/EL-6/postgresql-9.3.spec
+++ b/rpm/redhat/9.3/postgresql/EL-6/postgresql-9.3.spec
@@ -71,7 +71,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.3.6
-Release:	1PGDG%{?dist}
+Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -524,9 +524,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-9.3
@@ -933,6 +930,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.3.6-2PGDG
+- Remove obsolete /var/log/pgsql
+
 * Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-1PGDG
 - Update to 9.3.6, per changes described at:
   http://www.postgresql.org/docs/9.3/static/release-9-3-6.html
diff --git a/rpm/redhat/9.3/postgresql/EL-7/postgresql-9.3.spec b/rpm/redhat/9.3/postgresql/EL-7/postgresql-9.3.spec
index 4f63378..fe45e71 100644
--- a/rpm/redhat/9.3/postgresql/EL-7/postgresql-9.3.spec
+++ b/rpm/redhat/9.3/postgresql/EL-7/postgresql-9.3.spec
@@ -72,7 +72,7 @@
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
 Version:	9.3.6
-Release:	2PGDG%{?dist}
+Release:	3PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
 Url:		http://www.postgresql.org/
@@ -579,9 +579,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -999,7 +996,10 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
-* Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-1PGDG
+* Wed Feb 11 2015 Strahinja Kustudic <strahinjak@nordeus.com> - 9.3.6-3PGDG
+- Remove obsolete /var/log/pgsql
+
+* Tue Feb 3 2015 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.3.6-2PGDG
 - Update to 9.3.6, per changes described at:
   http://www.postgresql.org/docs/9.3/static/release-9-3-6.html
 - Improve .bash_profile, and let users specify their own
